POSTsuix_getStakesByIds

Sui Mainnethttps://sui-mainnet.nodit.io/

Return one or more [DelegatedStake]. If a Stake was withdrawn its status will be Unstaked.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required
params[0]string[]

Array of staked SUI IDs

Responses
jsonrpcstring
idinteger
stakesany[]required
stakingPoolstringrequired

Hex string encoding.

validatorAddressstringrequired

Hex string encoding.

X-API-KEY
RequestCU50
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "suix_getStakesByIds",
  "params": [
    [
      "0x378423de90ed03b694cecf443c72b5387b29a731d26d98108d7abc4902107d7d",
      "0x6a8e0f8fea6fda5488462e58724c034462b6064a08845e2ae2942fe7c4ee816d"
    ]
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "validatorAddress": "0x754eb2eed23e6c6bb32c89fe1f21ab588374445e72e0402aea014b2956105799",
    "stakingPool": "0x63ee67e81398729f87d81d62f399c041b0f8d0938923ea7e3917608ee62df437",
    "stakes": [
      {
        "stakedSuiId": "0x378423de90ed03b694cecf443c72b5387b29a731d26d98108d7abc4902107d7d",
        "stakeRequestEpoch": "62",
        "stakeActiveEpoch": "63",
        "principal": "200000000000",
        "status": "Active",
        "estimatedReward": "520000000"
      },
      {
        "stakedSuiId": "0x6a8e0f8fea6fda5488462e58724c034462b6064a08845e2ae2942fe7c4ee816d",
        "stakeRequestEpoch": "244",
        "stakeActiveEpoch": "245",
        "principal": "200000000000",
        "status": "Unstaked"
      }
    ]
  },
  "id": 1
}